#include <stdio.h>

/*
 * function bit_count
 * Counts the number of bits on (i.e., = 1) in an unsigned int
 * (This code assumes that an int is 32-bits!)
 * Parameter:
 *   x - number to count bits of
 * Return value:
 *   number of bits on in x
 */
int bit_count(unsigned int x )
{
 int cnt = 0;

 while( x != 0) {
	 x = x & (x-1);
	 cnt++;
 }
 return cnt;
}


int main()
{
  unsigned int x;

  printf("Enter a number: ");
  scanf("%i", &x);
  printf("There are %d bits on in %X\n", bit_count(x), x);
  return 0;
}
